> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /wikipedia/articles

> Get a Wikipedia article by title, page id or URL

**Price:** 1 credit

**💡 AI Hint:** Get a Wikipedia article by its title, numeric page id, or article URL. Choose the language edition with the language code (en, de, fr, ja, ...). Returns the page id, title, the HTML-formatted display title, short description, the plain-text intro extract, page language, content model, byte length, last revision id, last-touched timestamp, the linked Wikidata item id, the lead image, the article's categories, interlanguage links, and the canonical article URL.

**⚠️ Common errors:** 412: Article not found



## OpenAPI

````yaml /openapi/news-publishing.json post /api/wikipedia/articles
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/wikipedia/articles:
    post:
      tags:
        - /wikipedia
      summary: /wikipedia/articles
      description: >-
        Get a Wikipedia article by title, page id or URL


        **Price:** 1 credit


        **💡 AI Hint:** Get a Wikipedia article by its title, numeric page id,
        or article URL. Choose the language edition with the language code (en,
        de, fr, ja, ...). Returns the page id, title, the HTML-formatted display
        title, short description, the plain-text intro extract, page language,
        content model, byte length, last revision id, last-touched timestamp,
        the linked Wikidata item id, the lead image, the article's categories,
        interlanguage links, and the canonical article URL.


        **⚠️ Common errors:** 412: Article not found
      operationId: __api_wikipedia_articles_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WikipediaArticlesPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WikipediaArticle'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WikipediaArticlesPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          description: Max scrapping execution timeout (in seconds)
          default: 300
        article:
          type: string
          minLength: 1
          description: Article title, numeric page id, or a Wikipedia article URL
          examples:
            - Python (programming language)
            - '23862'
            - https://en.wikipedia.org/wiki/Albert_Einstein
        language:
          type: string
          maxLength: 20
          minLength: 2
          description: Wikipedia language edition code (e.g. en, de, fr, ja)
          default: en
      type: object
      required:
        - article
    WikipediaArticle:
      properties:
        '@type':
          type: string
          default: WikipediaArticle
        id:
          type: integer
        display_title:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          type: string
          default: ''
        description:
          anyOf:
            - type: string
            - type: 'null'
        summary:
          anyOf:
            - type: string
            - type: 'null'
        language:
          type: string
          default: ''
        content_model:
          anyOf:
            - type: string
            - type: 'null'
        length:
          anyOf:
            - type: integer
            - type: 'null'
        last_revision_id:
          anyOf:
            - type: integer
            - type: 'null'
        touched_at:
          anyOf:
            - type: string
            - type: 'null'
        wikidata_id:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - $ref: '#/components/schemas/WikipediaImage'
            - type: 'null'
        categories:
          items:
            type: string
          type: array
          default: []
        langlinks:
          items:
            $ref: '#/components/schemas/WikipediaLangLink'
          type: array
          default: []
        web_url:
          type: string
          default: ''
      type: object
      required:
        - id
        - title
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    WikipediaImage:
      properties:
        '@type':
          type: string
          default: WikipediaImage
        image:
          type: string
        width:
          anyOf:
            - type: integer
            - type: 'null'
        height:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - image
    WikipediaLangLink:
      properties:
        '@type':
          type: string
          default: WikipediaLangLink
        lang:
          type: string
      type: object
      required:
        - lang
        - title
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````